package com.template.services;

import com.template.model.pojo.SmartFamilyIndex;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.SmartUser;

import java.util.List;

/**
 * <p>
 * 楼栋表 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-04-23
 */
public interface SmartFamilyIndexService extends IService<SmartFamilyIndex> {

    SmartFamilyIndex queryFamilyByPhoneCardNo(String phone,String cardNo);

    List<SmartFamilyIndex> querySmartFamilyByCardNo(String cardNo);

    int deleteSmartFamilyByPhone(String phone);

    int deleteSmartFamilyByCardNo(String cardNo);

    int updateSmartFamily(SmartFamilyIndex sfi);

    int deleteSmartFamilyByIds(List<Integer> ids);
}
